### Function Macro

# GLib DEFINE_AUTOPTR_CLEANUP_FUNC

since: 2.0

#### Declaration

    #define G_DEFINE_AUTOPTR_CLEANUP_FUNC (
      TypeName,
      func
    )

#### Description

No description available.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`TypeName`

  Type: `-`

  No description available.

`func`

  Type: `-`

  No description available.